function Create(self)
	local part = nil;
	local curdist = 25;
	local chosenpart = nil;

	--Cycle through all MOs and find the closest.
	for i=1,MovableMan:GetMOIDCount()-1 do
		part = MovableMan:GetMOFromID(i);
		if part.ClassName ~= "MOSParticle" and part.ClassName ~= "MOPixel" and part.ClassName ~= "HDFirearm" and part.ClassName ~= "HeldDevice" then
			dist = math.sqrt((self.Pos.X - part.Pos.X) ^ 2 + (self.Pos.Y - part.Pos.Y) ^ 2);
			if dist < curdist then
				curdist = dist;
				chosenpart = part;
			end
		end
	end

	--If a part was found in the range, find its parent actor and send the information on to a new object to apply damage.
	if chosenpart ~= nil then
		for actor in MovableMan.Actors do
			if chosenpart.RootID == actor.ID then
				local doom = CreateMOSRotating("Infection");
				--The mass will be unused for the other object, so store the actor's ID as that.
				doom.Mass = actor.ID;
				doom.Pos = self.Pos;
				MovableMan:AddParticle(doom);
			end
		end
	end
end