function Create(self)
	for i = 1, MovableMan:GetMOIDCount()-1, 1 do
		local gun = MovableMan:GetMOFromID(i);
		if gun.PresetName == "Plasma Sub-Rifle" then
			if math.abs(gun.Pos.X - self.Pos.X) < 50 and math.abs(gun.Pos.Y - self.Pos.Y) < 50 and gun.PresetName == "Plasma Sub-Rifle" then
				self.gun = gun;
				self.Parent = ToActor(MovableMan:GetMOFromID(gun.RootID));
			end
		end
	end
end

function Destroy(self)
	if not(ActivityMan:GetActivity():ActivityOver() or FrameMan:IsResettingRTE()) then
		local curdist = 100;
		local hitactor = nil;
		for actor in MovableMan.Actors do
			local avgx = actor.Pos.X - self.Pos.X;
			local avgy = actor.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			if dist < curdist then
				curdist = dist;
				hitactor = actor;
			end
		end

		if MovableMan:IsActor(hitactor) then
			if hitactor.Team ~= self.Parent.Team then
				self.explosion = CreateAEmitter("Bolt Rapid Burst");
				self.explosion.RotAngle = self.RotAngle;
				self.explosion.Pos = self.Pos;
				MovableMan:AddParticle(self.explosion);
			end
		end
	end
end