function Create(self)
	self.gunRange = 800;
	self.ownerRange = 100;
	self.hitVel = 50;

	local checkVect = Vector(0,0);
	checkVect.X = math.cos(self.RotAngle) * self.ownerRange * -1;
	checkVect.Y = math.sin(self.RotAngle) * self.ownerRange;
	local userID = SceneMan:CastMORay(self.Pos, checkVect, -1, 0, -1, false, 0);
	local baseUserID = -1;
	if userID ~= 255 then
		baseUserID = MovableMan:GetRootMOID(userID);
	end

	checkVect.X = math.cos(self.RotAngle) * self.gunRange;
	checkVect.Y = math.sin(self.RotAngle) * self.gunRange * -1;
	local strikePoint = Vector(0,0);
	local lastPoint = Vector(0,0);
	local dist = SceneMan:CastObstacleRay(self.Pos, checkVect, strikePoint, lastPoint, baseUserID, 0, 0, 0);

	if dist >= 0 then
		local strikeVect = SceneMan:ShortestDistance(self.Pos, strikePoint, true);
		dist = strikeVect.Magnitude;

		local hit = CreateMOPixel("Rail Pixels");
		hit.Pos = strikePoint;
		hit.Vel.X = math.cos(self.RotAngle) * self.hitVel;
		hit.Vel.Y = math.sin(self.RotAngle) * self.hitVel * -1;
		hit:SetWhichMOToNotHit(MovableMan:GetMOFromID(baseUserID), -1);
		MovableMan:AddParticle(hit);
		local explosion = CreateAEmitter("Small Burst");
		explosion.RotAngle = self.RotAngle;
		explosion.Pos = strikePoint;
		MovableMan:AddParticle(explosion);
	else
		dist = self.gunRange;
	end

	self.distomiter = dist;

	for i = 0, dist, 240 do
		if self.distomiter > 240 then
			self.line = CreateMOSRotating("Line Beam");
			self.line.Pos = self.Pos + checkVect * (i/self.gunRange);
			self.line.RotAngle = self.RotAngle
			self.line.Frame = math.floor((dist/10))-2;
			MovableMan:AddParticle(self.line);
			self.distomiter = self.distomiter - 240;
		else
			self.line = CreateMOSRotating("Line Beam");
			self.line.Pos = self.Pos + checkVect * (i/self.gunRange);
			self.line.RotAngle = self.RotAngle
			self.line.Frame = math.floor((self.distomiter/10))-2;
			MovableMan:AddParticle(self.line);
			self.distomiter = 0;
		end
	end

	self.Lifetime = 1;
end