function Create(self)
	function Offset(Origin, ang, dist)
		local Tmp = Vector(0, 0)
		Tmp:SetMagnitude(dist)
		Tmp:RadRotate(ang)
		Tmp = Tmp + Origin
		return Tmp
	end
	
	self.angle = 0.1
	self.alpha = 0.25
	self.beta = 5
	self.explosion = CreateAEmitter("Wave Burst");
	self.explosion.RotAngle = self.RotAngle;
end

function Update(self)
	local dist = math.sin(self.angle) * self.beta
	self.angle = self.angle + self.alpha
	
	if dist > 0.5 then
		self.Pos = Offset(self.Pos, self.RotAngle + 1.57, dist)
	elseif dist < -0.5 then
		self.Pos = Offset(self.Pos, self.RotAngle - 1.57, -dist)
	end	
end

function Destroy(self)
	self.explosion.Pos = self.Pos;
	MovableMan:AddParticle(self.explosion);
end