function Create(self)
    --Keep track of how long it should be before healing people.
    droneHealTimer = Timer();
    --Interval between healings, in milliseconds.
    healInterval = 100;
    --Heal counter.
    self.healnum = 0;
	
	--Keep track of how long it should be before healing people.
    droneRangeTimer = Timer();
    --Interval between healings, in milliseconds.
    RangeInterval = 100;
    --Heal counter.
    self.rangenum = 0;
	
	-- the range of effect for mods
	self.rangeMod = 0;
	
	if self:HasObject("Field Amplification Modulator") then
		self.rangeMod = 50;
	end
		
	if self:HasObject("Advanced Field Amplification Modulator") then
		self.rangeMod = 100;
	end
	
end

function Update(self)
	
	if not(self:IsDead()) and self.Health > 0 then
		if droneRangeTimer:IsPastSimMS(healInterval) then
			part1 = CreateMOSParticle("Range Marker");
			part2 = CreateMOSParticle("Range Marker");
			part3 = CreateMOSParticle("Range Marker");
			part4 = CreateMOSParticle("Range Marker");
			
			part1.Pos.Y = self.Pos.Y;
			part2.Pos.Y = self.Pos.Y;
			part3.Pos.Y = self.Pos.Y + self.rangeMod + 100;
			part4.Pos.Y = self.Pos.Y - self.rangeMod - 100;
			
			part1.Pos.X = self.Pos.X + self.rangeMod + 100;
			part2.Pos.X = self.Pos.X - self.rangeMod - 100;
			part3.Pos.X = self.Pos.X;
			part4.Pos.X = self.Pos.X;
			
			MovableMan:AddParticle(part1);
			MovableMan:AddParticle(part2);
			MovableMan:AddParticle(part3);
			MovableMan:AddParticle(part4);
		end
		
		if self:HasObject("Regen Field Modulator") then
			local avgx = nil;
			local avgy = nil;
			local dist = nil;
			local part = nil;
			--Heal every interval.
			if droneHealTimer:IsPastSimMS(healInterval) then
			--Cycle through all actors.
			for actor in MovableMan.Actors do
				--If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
				if actor.Team == self.Team and actor.Health < 100 and actor.ID ~= self.ID then
				--Trigonometry to find how far the actor is.
				avgx = actor.Pos.X - self.Pos.X;
				avgy = actor.Pos.Y - self.Pos.Y;
				dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
				if dist < (100 + self.rangeMod) then
					--If the actor is fairly close, heal them!
					actor.Health = actor.Health + 1;
					--Every 8 health healed, put a little icon above the actor's head to show that it is indeed healing.
					if self.healnum == 8 then
						--Create the particle.
						part = CreateMOSParticle("Heal Effect");
						--Set the particle's position to just over the actor's head.
						part.Pos = actor.AboveHUDPos + Vector(0,4);
					--Add the particle to the world.
						MovableMan:AddParticle(part);
					end
				end
				end
			end
			--Reset the healing timer.
			droneHealTimer:Reset();
			--Increment the heal counter.
			self.healnum = self.healnum + 1;
			--Reset it if it's gone too far.
			if self.healnum > 8 then
				self.healnum = 0;
			end
			end
		end
		if self:HasObject("Damage Field Modulator") then
			local avgx = nil;
			local avgy = nil;
			local dist = nil;
			local part = nil;
			--Heal every interval.
			if droneHealTimer:IsPastSimMS(healInterval) then
			--Cycle through all actors.
			for actor in MovableMan.Actors do
				--If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
				if actor.Team ~= self.Team and actor.Health > 10 and actor.ID ~= self.ID then
				--Trigonometry to find how far the actor is.
				avgx = actor.Pos.X - self.Pos.X;
				avgy = actor.Pos.Y - self.Pos.Y;
				dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
				if dist < (100 + self.rangeMod) then
					--If the actor is fairly close, heal them!
					actor.Health = actor.Health - 1;
					--Every 8 health healed, put a little icon above the actor's head to show that it is indeed healing.
					if self.healnum == 8 then
						--Create the particle.
						part = CreateMOSParticle("Drain Effect");
						--Set the particle's position to just over the actor's head.
						part.Pos = actor.AboveHUDPos + Vector(0,4);
					--Add the particle to the world.
						MovableMan:AddParticle(part);
					end
				end
				end
			end
			--Reset the healing timer.
			droneHealTimer:Reset();
			--Increment the heal counter.
			self.healnum = self.healnum + 1;
			--Reset it if it's gone too far.
			if self.healnum > 8 then
				self.healnum = 0;
			end
			end
		end
	end
	if not(self:IsDead()) then
		self.RotAngle = 0;
	end
end
