function Create(self)
	local part = nil;
	local curdist = 25;
	local chosenpart = nil;
	self.victim = nil;

	--Cycle through all MOs and find the closest.
	for i=1,MovableMan:GetMOIDCount()-1 do
		part = MovableMan:GetMOFromID(i);
		if part.ClassName ~= "MOSParticle" and part.ClassName ~= "MOPixel" and part.ClassName ~= "HDFirearm" and part.ClassName ~= "HeldDevice" then
			dist = math.sqrt((self.Pos.X - part.Pos.X) ^ 2 + (self.Pos.Y - part.Pos.Y) ^ 2);
			if dist < curdist then
				curdist = dist;
				chosenpart = part;
			end
		end
	end

	--If a part was found in the range, find its parent actor and send the information on to a new object to apply damage.
	if chosenpart ~= nil then
		for actor in MovableMan.Actors do
			if chosenpart.RootID == actor.ID then
				self.victim = actor;
			end
		end
	end

	--Times how long the infection has existed for.
	self.deathtimer = Timer();

	--How long to keep the victim alive for, in milliseconds.
	self.timerlength = 60000;
end

function Update(self)
	if MovableMan:IsActor(self.victim) then
		--If the actor still exists and the timer is up, kill it.
		if self.deathtimer:IsPastSimMS(self.timerlength) then
			self.victim.Health = 50;
			self.ToDelete = true;
		else
			if self.victim.Health > 1 then
				self.victim.Health = self.victim.Health - 1;
			end
		end
	else
		--If the actor is gone or dead, destroy this.
		self.ToDelete = true;
	end
end